/*
######################################################
#                                                    #
#   Theo Debefve - 1ère informatique de gestion      #
#     Projet de fin d'année programmation web        #
#                   Juin 2021                        #
#                     V 1.0                          #
#                                                    #
######################################################
*/

/* ++++++++++++++++++++ generale ++++++++++++++++++++ */

/* --- */

a:focus, a:hover{
    text-decoration:none;
}

/* --- */

#name{
    border-radius: 14px;
    border: 2px solid rgba(16 18 27 / 10%);
    padding: 4px;
    padding-right: 10px;
    padding-left: 10px;
    background: none;
}

#name-label{
    font-family: "Poppins", sans-serif;
    margin-right: 20px;
    margin-bottom: 15px;
}

/* --- */

#text-name{
    border-radius: 14px;
    border: 2px solid rgba(16 18 27 / 10%);
    padding: 4px;
    padding-right: 10px;
    padding-left: 10px;
    background: none;
}

.text-name-label{
    font-family: "Poppins", sans-serif;
    margin-right: 20px;
    margin-bottom: 15px;
}

/* --- */

.txt-champs{
    margin-left: 20px;
}

/* --- */

.margin-left-15{
    margin-left: 15px;
}

/* note a bene ajout/modif ennonce */

.nb{
    color: rgba(16 18 27 / 30%);
    margin-top: 10px;
}

#verssion{
    padding: 17px 15px;
    margin-top: 9px;
    text-decoration: none;
    font-weight: 600;
    color: black;
}

.modal-body{
    text-align: center;
}

/* ++++++++++++++++++++ image / vidéo ++++++++++++++++++++ */

/* Icone */

.dossier-img{
    width: 40px;
    height: 40px;
    margin-right: 20px;
}

#user_img{
    width: 60px;
    height: 60px;
    margin-right: 20px;
}

.editSupprime{
    width: 20px;
    height: 20px;
}

#chrome{
    margin: auto;
    display: flex;
    width: 80px;
    height: 80px;
}

#txt-chrome{
    text-align: center;
}

/* 2 bonhome énoncé */

.img-index-enonce{
    margin-right: auto;
    margin-left: auto;
}

/* Vidéo */

video{
    padding: 20px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    border-radius: 14px;
}

/* ++++++++++++++++++++ bouton ++++++++++++++++++++ */

/* Bouton nouveau énoncé / champ */

.bouton-new{
    border: 1px solid #009efd;
    background-color: #009efd;
    color: white;
    font-size: 15px;
    padding: 6px 24px;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;
}

.bouton-new:hover{
    border:1px solid #1e59f1;
    background-color: #1e59f1;
    color: white;
}

/* Bouton enregsitrer champs */

.bouton-enregistrer-champs{
    margin-bottom: 20px;
    margin-top: 20px;
    margin-left: 20px;
}

.bouton-enregistrer-champs:hover{
    border: none !important;
}

.save{
    float: right;
    margin-right: 15px;
}

/* Content bouton */

.content-button:hover{
    background-color: #3a6df0;
    border: 1px solid #3a6df0;
    color: white;
}

.delete-button:hover{
    background-color: red;
    border: 1px solid red;
}

/* ++++++++++++++++++++ modal ++++++++++++++++++++ */

/* Modal */

.modal-backdrop{
    z-index: -1;
}

.modal-content{
    border: none;
    border-radius: 14px;
}

/* X modal */

.close{
    color: lightgrey;
    opacity: 1;
}

.close:hover{
    color: red;
    opacity: 1;
}

/* Boutton supprimer */

.modal-rouge{
    border:2px solid red;
    background-color: red;
    color: white;
    font-size: 15px;
    padding: 6px 24px;
    margin-left: 15px;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;
}

.modal-rouge:hover{
    border:2px solid red;
    background-color: white;
    color: red;
}

/* Bouton annuler */

.modal-bleu{
    border:2px solid #1e59f1;
    background-color: #1e59f1;
    color: white;
    font-size: 15px;
    padding: 6px 24px;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;
}

.modal-bleu:hover{
    border:2px solid #1e59f1;
    background-color: white;
    color: #1e59f1;
}

.img-modal{
    margin-right: auto;
    margin-left: auto;
    display: block;
}

/* ++++++++++++++++++++ affichage enonce ++++++++++++++++++++ */

/* img */

.ennonce-affiche img{
    height: 300px;
}

/* pre */

.ennonce-affiche pre{
    margin-right: 20px;
    background: none;
    border: 1px solid black;
    border-radius: 14px;
}

/* blockquote */

.ennonce-affiche blockquote{
    margin-right: 20px;
    font-style: italic;
    border-left:4px solid black;
    border-bottom: 1px solid black;
    font-family: Georgia, "Times New Roman", serif;
}

/* ++++++++++++++++++++ app-card ++++++++++++++++++++ */

/* home */

.app-card-my2 {
    font-size: 14px;
    font-weight: 400;
    line-height: 1.6em;
    margin-top: 20px;
}

.app-card{
    margin-bottom: 30px;
}

.app-card h3{
    margin-left: 25px;
    font-weight: 600;
}

/* ++++++++++++++++++++ fieldset ++++++++++++++++++++ */

/* principale */

.fieldset-champs{
    background-color: rgba(255 255 255 / 30%);
    border: 1px solid rgba(255 255 255 / 30%);
    border-radius: 14px;
    margin: 0;
    padding: 0.4em 0.6em;
    outline: none;
}

/* secondaire */

.fieldset-champs-secondaire{
    background-color: rgba(255 255 255 / 30%);
    border: 1px solid rgba(255 255 255 / 30%);
    padding-top: 10px;
    margin-top: 20px;
    border-radius: 14px;;
}

.generate{
    padding-top: 10px;
    padding-left: 20px;
    padding-bottom: 20px;
}

/* --- */

.non-hover:hover{
    transform: scale(1.00);
}

.fieldset-image{
    background-color: none !important;
    border: none !important;
    margin-top: 20px;
    border-radius: 14px;;
}

.liste-30{
    margin-bottom: 10px !important;
}

.liste-champs{
    margin-bottom: 300px;
}

/* ++++++++++++++++++++ erreur ++++++++++++++++++++ */

/* --- */

.erreur{
    background-color: rgb(255 255 255 / 31%);
    background: none;
    color: red;
    border-radius: 14px;
    border: 2px solid red;
}

/* ++++++++++++++++++++ upload ++++++++++++++++++++ */

/* --- */

.file-upload {
    background-color: #ffffff;
    width: 600px;
    margin: 0 auto;
    padding: 20px;
  }
  
  .file-upload-btn {
    width: 100%;
    margin: 0;
    color: #fff;
    background: #1FB264;
    border: none;
    padding: 10px;
    border-radius: 4px;
    border-bottom: 4px solid #15824B;
    transition: all .2s ease;
    outline: none;
    text-transform: uppercase;
    font-weight: 700;
  }
  
  .file-upload-btn:hover {
    background: #1AA059;
    color: #ffffff;
    transition: all .2s ease;
    cursor: pointer;
  }
  
  .file-upload-btn:active {
    border: 0;
    transition: all .2s ease;
  }
  
  .file-upload-content {
    display: none;
    text-align: center;
  }
  
  .file-upload-input {
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 0;
    cursor: pointer;
  }
  
  .image-upload-wrap {
    margin-top: 20px;
    position: relative;
  }
  
  .image-title-wrap {
    padding: 0 15px 15px 15px;
    color: #222;
  }
  
  .drag-text {
    text-align: center;
  }
  
  .drag-text h3 {
    font-weight: 100;
    text-transform: uppercase;
    color: Black;
    padding: 60px 0;
  }
  
  .file-upload-image {
    max-height: 200px;
    max-width: 200px;
    margin: auto;
    padding: 20px;
  }
  
  .remove-image {
    background-color: red;
    border: none;
    padding: 8px 26px;
    color: #fff;
    border-radius: 20px;
    margin-top: 16px;
    cursor: pointer;
    transition: 0.3s;
    font-family: "Poppins", sans-serif;
    margin-left: 15px;
  }
  
  .remove-image:hover {
    background: #c13b2a;
    color: #ffffff;
    transition: all .2s ease;
    cursor: pointer;
  }
  
  .remove-image:active {
    border: 0;
    transition: all .2s ease;
  }